@import "src/assets/styles/_for-react-components.scss";
@import "../../../../../node_modules/tippy.js/dist/tippy.css";
@import "../../../../../node_modules/tippy.js/themes/light.css";
@import "src/views/shared/lib/tippy/themes/quiz";

$parent: "wrapper-field";

@include block($parent) {
  position: relative;
  margin-bottom: rem(5);

  @include min-media('t') {
    margin-bottom: 0;
  }

  @include element($parent, 'label') {
    position: relative;
    display: flex;
    gap: 2px;
    cursor: text;
    margin-bottom: 4px;

    @include min-media('t') {
      margin-bottom: 0;
    }

    @include min-media('d') {
      margin-bottom: 2px;
    }
  }

  @include element($parent, 'tippy') {
    display: block;
    color: var(--color-red-100);
    background: var(--color-white-100);
    padding: rem(10) rem(16);
    box-shadow: rem(15) rem(5) rem(30) 0 rgba(0, 0, 0, 0.09);
  }

  @include element($parent, 'error-icon') {
    z-index: 1;
    position: absolute;
    bottom: rem(12);
    right: 0;
    width: rem(20);
    height: rem(20);
    cursor: pointer;
    fill: transparent;

    @include min-media('t') {
      bottom: rem(16);
    }
  }

  .tippy-content {
    padding: 0;
  }

  @include element($parent, 'tippy-label') {
    width: rem(16);
    height: rem(16);
    margin-top: -2px;
  }
}
